﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : MonoBehaviour {

    CarController m_carController;  // 車制御用コントローラ

	// Use this for initialization
	void Start () {

        // 車制御用コントローラを取得
        m_carController = GetComponent<CarController>();
	}
	
	// Update is called once per frame
	void Update () {

        // キーボードによる車の操作
        if (Input.GetKey(KeyCode.UpArrow))
        {
            m_carController.Forward = true;         // アクセル操作
        }
        else if (Input.GetKey(KeyCode.DownArrow))
        {
            m_carController.Back = true;            // ブレーキ(バック)操作
        }
        if (Input.GetKey(KeyCode.LeftArrow))
        {
            m_carController.Left = true;            // ステアリングを左に切る
        }
        else if (Input.GetKey(KeyCode.RightArrow))
        {
            m_carController.Right = true;           // ステアリングを右に切る
        }

	}
}
